/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_putstr_2.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: oklymeno <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/02/08 17:39:12 by oklymeno          #+#    #+#             */
/*   Updated: 2017/02/08 17:39:19 by oklymeno         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_printf.h"

void		ft_putstr_2(char const *s)
{
	size_t	i;

	i = 0;
	if (s)
		while (s[i] != '\0')
		{
			write(1, &s[i], 1);
			i++;
			g_output++;
		}
	write(1, "\0", 1);
	g_output++;
}
